[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Missing kdelibs-*.4.1 in updates-testing.



Hello all,

I'm trying to update to F9 machine to KDE 4.1. (using the same package
manifest)
One updated successfully, the other is banging it's head against the
multi-lib wall on kdelibs-*.
yum clean all doesn't seem to help.


Machine A: (Currently running 4.1)
$ rpm -qa | grep kdelibs | sort
kdelibs3-3.5.9-16.fc9.i386
kdelibs3-3.5.9-16.fc9.x86_64
kdelibs3-devel-3.5.9-16.fc9.x86_64
kdelibs-4.1.0-3.fc9.i386
kdelibs-4.1.0-3.fc9.x86_64
kdelibs-apidocs-4.1.0-3.fc9.noarch
kdelibs-common-4.1.0-3.fc9.x86_64
kdelibs-devel-4.1.0-3.fc9.i386
kdelibs-devel-4.1.0-3.fc9.x86_64

Machine B:
 yum install --enablerepo=updates-testing kde*-devel*4.1*.x86_64
Loaded plugins: allowdowngrade, fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: ftp.esat.net
 * updates-testing: ftp.esat.net
 * livna: rpm.livna.org
 * updates: ftp.esat.net
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package kdesdk-devel.x86_64 0:4.1.0-1.fc9 set to be updated
---> Package kdepimlibs-devel.x86_64 0:4.1.0-1.fc9 set to be updated
---> Package kdegraphics-devel.x86_64 7:4.1.0-3.fc9 set to be updated
---> Package kdenetwork-devel.x86_64 7:4.1.0-2.fc9 set to be updated
---> Package kdesvn-devel.x86_64 0:0.14.1-4.fc9 set to be updated
--> Processing Dependency: kdesvn = 0.14.1-4.fc9 for package:
kdesvn-devel
--> Processing Dependency: libsvnqt.so.4()(64bit) for package:
kdesvn-devel
---> Package kdebindings-devel.x86_64 0:4.1.0-5.fc9 set to be updated
--> Processing Dependency: libsmokektexteditor.so.2()(64bit) for
package: kdebindings-devel
--> Processing Dependency: libsmokeqt.so.2()(64bit) for package:
kdebindings-devel
--> Processing Dependency: libsmokenepomuk.so.2()(64bit) for package:
kdebindings-devel
--> Processing Dependency: libsmokeqtwebkit.so.2()(64bit) for package:
kdebindings-devel
--> Processing Dependency: libsmokesolid.so.2()(64bit) for package:
kdebindings-devel
--> Processing Dependency: libsmokekde.so.2()(64bit) for package:
kdebindings-devel
--> Processing Dependency: libsmokeqsci.so.2()(64bit) for package:
kdebindings-devel
--> Processing Dependency: libsmokeqtuitools.so.2()(64bit) for package:
kdebindings-devel
--> Processing Dependency: libsmokephonon.so.2()(64bit) for package:
kdebindings-devel
--> Processing Dependency: libsmokekhtml.so.2()(64bit) for package:
kdebindings-devel
--> Processing Dependency: kdebindings = 4.1.0-5.fc9 for package:
kdebindings-devel
--> Processing Dependency: libsmokesoprano.so.2()(64bit) for package:
kdebindings-devel
--> Processing Dependency: libsmokeqtscript.so.2()(64bit) for package:
kdebindings-devel
---> Package kdebase-workspace-devel.x86_64 0:4.1.0-3.fc9 set to be
updated
---> Package kdelibs-devel.x86_64 6:4.1.0-3.fc9 set to be updated
--> Processing Dependency: automoc for package: kdelibs-devel
--> Processing Dependency: phonon-devel for package: kdelibs-devel
---> Package kdeedu-devel.x86_64 0:4.1.0-1.fc9 set to be updated
---> Package kdebase-devel.x86_64 6:4.1.0-1.fc9.1 set to be updated
---> Package kdemultimedia-devel.x86_64 6:4.1.0-1.fc9 set to be updated
---> Package kdegames-devel.x86_64 6:4.1.0-1.fc9 set to be updated
--> Running transaction check
---> Package kdebindings.x86_64 0:4.1.0-5.fc9 set to be updated
--> Processing Dependency: libqscintilla2.so.3()(64bit) for package:
kdebindings
---> Package automoc.x86_64 0:1.0-0.8.rc1.fc9 set to be updated
---> Package kdesvn.x86_64 0:0.14.1-4.fc9 set to be updated
---> Package kdelibs-devel.i386 6:4.0.5-5.fc9 set to be updated
--> Processing Dependency: libkfile.so.4 for package: kdelibs-devel
--> Processing Dependency: libkutils.so.4 for package: kdelibs-devel
--> Processing Dependency: libkdesu.so.5 for package: kdelibs-devel
--> Processing Dependency: libkjsembed.so.4 for package: kdelibs-devel
--> Processing Dependency: libkntlm.so.4 for package: kdelibs-devel
--> Processing Dependency: libkio.so.5 for package: kdelibs-devel
--> Processing Dependency: libkwalletbackend.so.4 for package:
kdelibs-devel
--> Processing Dependency: libkaudiodevicelist.so.4 for package:
kdelibs-devel
--> Processing Dependency: libkmediaplayer.so.4 for package:
kdelibs-devel
--> Processing Dependency: libkimproxy.so.4 for package: kdelibs-devel
--> Processing Dependency: libkhtml.so.5 for package: kdelibs-devel
--> Processing Dependency: libknewstuff2.so.4 for package: kdelibs-devel
--> Processing Dependency: libkdecore.so.5 for package: kdelibs-devel
--> Processing Dependency: libQt3Support.so.4 for package: kdelibs-devel
--> Processing Dependency: libthreadweaver.so.4 for package:
kdelibs-devel
--> Processing Dependency: libkrossui.so.4 for package: kdelibs-devel
--> Processing Dependency: libkde3support.so.4 for package:
kdelibs-devel
--> Processing Dependency: libkparts.so.4 for package: kdelibs-devel
--> Processing Dependency: libphononexperimental.so.4 for package:
kdelibs-devel
--> Processing Dependency: libkjs.so.4 for package: kdelibs-devel
--> Processing Dependency: libnepomuk.so.4 for package: kdelibs-devel
--> Processing Dependency: libQtGui.so.4 for package: kdelibs-devel
--> Processing Dependency: libQtSvg.so.4 for package: kdelibs-devel
--> Processing Dependency: libsolid.so.4 for package: kdelibs-devel
--> Processing Dependency: libkunittest.so.4 for package: kdelibs-devel
--> Processing Dependency: libkrosscore.so.4 for package: kdelibs-devel
--> Processing Dependency: libkdnssd.so.4 for package: kdelibs-devel
--> Processing Dependency: libkpty.so.4 for package: kdelibs-devel
--> Processing Dependency: libphonon.so.4 for package: kdelibs-devel
--> Processing Dependency: libktexteditor.so.4 for package:
kdelibs-devel
--> Processing Dependency: libkdeui.so.5 for package: kdelibs-devel
--> Processing Dependency: kdelibs = 6:4.0.5-5.fc9 for package:
kdelibs-devel
--> Processing Dependency: libkdefakes.so.5 for package: kdelibs-devel
--> Processing Dependency: libknotifyconfig.so.4 for package:
kdelibs-devel
--> Running transaction check
---> Package kdelibs.i386 6:4.1.0-3.fc9 set to be updated
--> Processing Dependency: libsopranoclient.so.1 for package: kdelibs
--> Processing Dependency: libsoprano.so.4 for package: kdelibs
---> Package kdebase-runtime.i386 0:4.1.0-1.fc9 set to be updated
--> Processing Dependency: libsmbclient.so.0 for package:
kdebase-runtime
---> Package kdelibs-devel.i386 6:4.0.5-5.fc9 set to be updated
--> Processing Dependency: kdelibs = 6:4.0.5-5.fc9 for package:
kdelibs-devel
---> Package qscintilla.x86_64 0:2.2-3.fc9 set to be updated
---> Package qt-x11.i386 1:4.4.0-16.fc9 set to be updated
---> Package phonon.i386 0:4.2.0-2.fc9 set to be updated
--> Running transaction check
---> Package libsmbclient.i386 0:3.2.0-2.17.fc9 set to be updated
--> Processing Dependency: libtdb.so.1 for package: libsmbclient
--> Processing Dependency: libwbclient.so.0 for package: libsmbclient
--> Processing Dependency: libtalloc.so.1 for package: libsmbclient
---> Package kdelibs-devel.i386 6:4.0.5-5.fc9 set to be updated
--> Processing Dependency: kdelibs = 6:4.0.5-5.fc9 for package:
kdelibs-devel
---> Package soprano.i386 0:2.1-1.fc9 set to be updated
--> Running transaction check
---> Package kdelibs-devel.i386 6:4.0.5-5.fc9 set to be updated
--> Processing Dependency: kdelibs = 6:4.0.5-5.fc9 for package:
kdelibs-devel
---> Package libtalloc.i386 0:1.2.0-17.fc9 set to be updated
---> Package samba-winbind.i386 0:3.2.0-2.17.fc9 set to be updated
--> Processing Dependency: libpam.so.0(LIBPAM_1.0) for package:
samba-winbind
--> Processing Dependency: libpam.so.0(LIBPAM_EXTENSION_1.0) for
package: samba-winbind
--> Processing Dependency: libpam.so.0 for package: samba-winbind
---> Package libtdb.i386 0:1.1.1-17.fc9 set to be updated
--> Running transaction check
---> Package kdelibs-devel.i386 6:4.0.5-5.fc9 set to be updated
--> Processing Dependency: kdelibs = 6:4.0.5-5.fc9 for package:
kdelibs-devel
---> Package pam.i386 0:1.0.1-4.fc9 set to be updated
--> Processing Dependency: libcrack.so.2 for package: pam
--> Processing Dependency: libaudit.so.0 for package: pam
--> Running transaction check
---> Package audit-libs.i386 0:1.7.4-1.fc9 set to be updated
---> Package kdelibs-devel.i386 6:4.0.5-5.fc9 set to be updated
--> Processing Dependency: kdelibs = 6:4.0.5-5.fc9 for package:
kdelibs-devel
---> Package cracklib.i386 0:2.8.12-2 set to be updated
--> Finished Dependency Resolution
6:kdelibs-devel-4.0.5-5.fc9.i386 from updates has depsolving problems
  --> Missing Dependency: kdelibs = 6:4.0.5-5.fc9 is needed by package
6:kdelibs-devel-4.0.5-5.fc9.i386 (updates)
Error: Missing Dependency: kdelibs = 6:4.0.5-5.fc9 is needed by package
6:kdelibs-devel-4.0.5-5.fc9.i386 (updates)

What gives? Stale mirrors?

- Gilboa


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]